pip相关内容

pip 在哪里安装它的包?

我激活了一个安装了 pip 的 virtualenv.我做过 pip3 install Django==1.8 和 Django 成功下载.现在,我想打开 Django 文件夹.文件夹在哪里? 通常它会在“下载"中,但如果我在 virtualenv 中使用 pip 安装它,我不确定它会在哪里. 解决方案 pip 当与 virtualenv 一起使用时,通常会在 路径下安装包./l ..
发布时间:2021-12-02 19:39:16 Python

“pip install -U 频道"错误用于 otree 的命令(运行 setup.py bdist_wheel 用于扭曲...错误)

对于使用 otree (http://otree.readthedocs.io/) 的项目,我遇到了尝试安装 Channels 以使用实时功能时遇到的一些问题. 由于输出很长,我试图找出最重要的部分: 有关完整输出,请参阅:https://jsfiddle.net/L4ccmr2k/1/ 红色标记的输出&我认为相关的输出: 1. 为收集的包裹建造轮子:twisted为扭 ..
发布时间:2021-12-02 18:58:27 Python

没有名为 pkg_resources 的模块

我正在将 Django 应用程序部署到开发服务器,但在运行 pip install -r requirements.txt 时遇到此错误: 回溯(最近一次调用最后一次):文件“/var/www/mydir/virtualenvs/dev/bin/pip",第 5 行,在 中从 pkg_resources 导入 load_entry_point导入错误:没有名为 pkg_reso ..
发布时间:2021-12-02 18:41:52 Python

确保为位于“dir:\projectPath\venv\Scripts\python.exe"的 Python 解释器安装了正确版本的“pip"

我在 PyCharm 中使用 python 3.6.5. 尝试安装任何软件包时,出现错误“尝试从系统终端运行此命令.确保您使用为位于 'C:\projectPath\venv\Scripts\python.exe' 的 Python 解释器安装的正确版本的 'pip'" 项目路径和实际python安装路径不同. 在 PyCharm 的设置中,pip 版本为 19.0.3,最新版本 ..
发布时间:2021-12-02 17:18:34 Python

如何修复“ImportError: DLL load failed"导入win32api时

我正在 Python 3.8 中设置自动点击器,我需要 win32api 来获取 GetAsyncKeyState 但它总是给我这个错误: >>>导入 win32api回溯(最近一次调用最后一次):文件“",第 1 行,在 中.导入错误:导入 win32api 时 DLL 加载失败:找不到指定的模块. 我使用的是 Windows 10 Home 64x.我已 ..
发布时间:2021-12-02 17:16:51 Python

如何在 Windows 上安装 pip3?

我使用 python 2.7、3.5.2 和 3.6.通常 pip3 与 python3.x 一起安装.但是…… 代码: 哪里 pip3 给我: INFO:找不到给定模式的文件. 我该如何解决这个问题? 解决方案 在 Windows 上 pip3 应该在 Python 安装的 Scripts 路径中: C:\path\to\python\Scripts\pip3 使用: ..
发布时间:2021-12-02 17:13:32 Python

Pip - 启动器中的致命错误:无法使用“"创建进程

我通过 ampps 安装了 python 3.5.1 并且它正在工作.但是,当我尝试使用 pip 时,我收到以下消息: 启动器中的致命错误:无法使用“""创建进程 我已经将 ampps 重新安装到不包含任何空格的路径中.请注意,“python -m pip"解决方法对我也不起作用,因为我每次使用它时都会收到以下消息: C:\Users\MyUserName\Desktop\Ampps\pyt ..
发布时间:2021-12-02 17:11:44 Python

如何在 Mac OS X 上为 Python 3 安装 pip?

OS X (Mavericks) 安装了 Python 2.7 stock.但是我用 3.3 做我自己的所有个人 Python 东西.我刚刚刷新了我的 3.3.2 安装并安装了新的 3.3.3.所以我需要再次安装 pyserial.我可以像以前那样做,那就是: 从pypi下载pyserial 解压 pyserial.tgz cd pyserial python3 setup.py in ..
发布时间:2021-12-02 17:11:14 Python

如何使用 pip 在 Windows 上安装 PyQt4?

我在 Windows 上使用 Python 3.4.当我运行脚本时,它会抱怨 ImportError: No Module named 'PyQt4' 所以我尝试安装它,但是 pip install PyQt4 给出了 找不到任何满足 PyQt4 要求的下载 虽然它确实在我运行 pip search PyQt4 时出现.我尝试pip install python-qt,安装成功,但 ..
发布时间:2021-12-02 17:07:18 Python

如何卸载使用 pip install --user 安装的软件包

pip 有一个 --user 选项,可以为每个用户安装一个 Python 包: pip install --user [python-package-name] 我使用此选项在我没有 root 访问权限的服务器上安装软件包.我现在需要的是卸载当前用户安装的包.我试图执行这个命令: pip uninstall --user [python-package-name] 但我得到了: 没有这样 ..
发布时间:2021-12-02 17:06:54 Python

pip 或 pip3 为 Python 3 安装软件包?

我有一台装有 OS X El Captain 的 Macbook.我认为 Python 2.7 预装在它上面.但是,我也安装了 Python 3.5.当我开始使用 Python 3 时,我读到如果我想安装一个包,我应该输入: pip3 install some_package 无论如何,现在当我使用 pip install some_package 我为 Python 3 安装了 some ..
发布时间:2021-12-02 17:04:08 Python

找不到满足张量流要求的版本

我安装了最新版本的 Python (3.6.4 64-bit) 和最新版本的 PyCharm (2017.3.3 64-bit).然后我在 PyCharm 中安装了一些模块(Numpy、Pandas 等),但是当我尝试安装 Tensorflow 时它没有安装,我收到错误消息: 找不到满足 TensorFlow 要求的版本(来自版本:)找不到 TensorFlow 的匹配分布. 然后我尝 ..
发布时间:2021-12-02 17:00:38 Python

“pip install"和“pip install"有什么区别?和“python -m pip install"?

我有 Python 3.4.1 的本地版本,我可以运行 python -m pip install,但我找不到运行 pip install.这两者有什么区别? 解决方案 2014 他们做的事情完全一样.事实上,分发 Python 模块的文档刚刚更新,建议使用 python -m pip 而不是 pip 可执行文件,因为这样更容易判断将使用哪个版本的 python 来实际运行 pip. ..
发布时间:2021-12-02 16:58:37 Python

如何使用python命令运行不同版本python的pip?

我现在在 ubuntu 15.10 上使用 Python 但在我的操作系统中,我安装了许多不同的 python 版本: Python (2.7.9) Python3 (3.4.3) Python3.5 PyPy 因此,例如,如果我运行: pip3 安装 django 事实上我不能在python3.5中导入django. 有没有什么有效的方法可以调用pip的相关版本 ..
发布时间:2021-12-02 16:48:58 Python

如何在 Python 3.x 和 Python 2.x 中使用 pip

我安装了 Python 3.x(除了 Ubuntu 上的 Python 2.x)并慢慢开始配对我在 Python 2.x 中使用的模块. 所以我想知道,我应该采取什么方法通过在 Python 2.x 和 Python 3.x 上使用 pip 来让我的生活更轻松? 解决方案 您应该采取的方法是为 Python 3.2 安装 pip. 您可以通过以下方式执行此操作: $ curl ..
发布时间:2021-12-02 16:45:59 Python

“pip install --user ..."的目的是什么?

来自 pip install --help: --user 安装到您平台的 Python 用户安装目录.通常 ~/.local/,或 Windows 上的 %APPDATA%\Python.(有关详细信息,请参阅 site.USER_BASE 的 Python 文档.) site.USER_BASE 的文档是我不理解的有趣 *NIX 主题的可怕虫洞. --user 在纯英文中的用途是什么 ..
发布时间:2021-12-02 16:41:44 Python

Windows Scipy 安装:未找到 Lapack/Blas 资源

我正在尝试将 python 和一系列软件包安装到 64 位 Windows 7 桌面上.我已经安装了 Python 3.4,安装了 Microsoft Visual Studio C++,并成功安装了 numpy、pandas 和其他一些.尝试安装 scipy 时出现以下错误; numpy.distutils.system_info.NotFoundError: 没有找到 lapack/blas ..
发布时间:2021-12-02 16:41:31 Python

即使安装了 Microsoft Visual C++ 14.0 也会出现 Pip 错误

我阅读了之前相关或问过的所有问题和答案,但仍然没有找到适合我的问题的答案. 我使用的是 python 3.6.5 并且 pip(和 setuptools)是最新的.我从这里安装了 Microsoft Visual C++ Redistributable for Visual Studio 2017:https://www.visualstudio.com/downloads/#build-t ..
发布时间:2021-12-02 16:38:04 其他开发

如何在 Ubuntu 上通过 pip 安装 python3 版本的软件包?

我在 Ubuntu 12.04 中安装了 python2.7 和 python3.2. 符号链接 python 链接到 python2.7. 当我输入时: sudo pip install package-name 默认安装python2版本的package-name. 某些包同时支持 python2 和 python3. 如何通过pip安装python3版本的package- ..
发布时间:2021-12-02 16:36:19 Python

如何使用 Python 3 安装 pip?

我想安装 pip.它应该支持 Python 3,但它需要 setuptools,它仅适用于 Python 2. 如何使用 Python 3 安装 pip? 解决方案 edit:手动安装和使用 setuptools 不再是标准流程. 如果您运行的是 Python 2.7.9+ 或 Python 3.4+ 恭喜,您应该已经安装了 pip.如果没有,请继续阅读. 如果您运 ..
发布时间:2021-12-02 16:29:30 Python